#ifndef _CMD_N_H_

#define _CMD_N_H_

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <unistd.h>
#include <netdb.h>
#include "network.h"
#include "client.h"
#include "parse.h"
#include "channel.h"

/* Lazy me */
#define TRUE EXIT_SUCCESS
#define FALSE EXIT_FAILURE

static int nick_taken(struct clientinfo *,char *);
static int user_in_list(struct clientinfo *,char *);
static int inform_users(struct clientinfo *,char *);
static int update_tree(struct clientinfo **,char *,struct clientinfo **);
static int check_nick(char *);
int cmd_name(struct clientinfo *,struct parsed_cmd*);
int cmd_nick(struct clientinfo **,struct parsed_cmd*,struct clientinfo *,struct clientinfo **);

#endif
