#ifndef _CMD_QUIT_H_

#define _CMD_QUIT_H_

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <unistd.h>
#include <netdb.h>
#include "network.h"
#include "channel.h"
#include "client.h"
#include "parse.h"

extern long int clients;
extern int channels;
extern long int ops;
extern int services;

int cmd_quit(struct clientinfo *,struct parsed_cmd*,struct clientinfo **,int *,struct clientinfo *);
int force_quit(struct clientinfo *,struct clientinfo **,int *,char *,struct clientinfo *);
static int inform_rooms(struct clientinfo *,char *);
static int remove_from_list(struct clientinfo *,struct clientinfo *);

#endif
