#ifndef _CMD_JOIN_H_

#define _CMD_JOIN_H_

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <unistd.h>
#include <netdb.h>
#include "network.h"
#include "client.h"
#include "parse.h"
#include "channel.h"
#include "ircd.h"

extern long int clients;
extern int channels;
extern long int ops;
extern int services;

int cmd_join(struct clientinfo *,struct parsed_cmd*);
static int add_client_to_chan(struct clientinfo *,struct channel *,int);
static int inform_room_join(struct clientinfo *,struct channel *);
static struct channel *create_channel(char *);
static int confirm_join(struct clientinfo *,struct channel *);
static int is_member(struct clientinfo *,struct channel *);
int check_channel(char *);
#endif
