#ifndef _CMD_MODE_H_

#define _CMD_MODE_H_

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <unistd.h>
#include <netdb.h>
#include "network.h"
#include "client.h"
#include "parse.h"
#include "channel.h"
#include "ircd.h"

extern long int clients;
extern int channels;
extern long int ops;
extern int services;

int cmd_mode(struct clientinfo *,struct parsed_cmd*);
static int  cmd_mode_channel(struct clientinfo *,struct parsed_cmd *);
static int mode_inform_user(struct clientinfo *,struct channel *,struct parsed_cmd *);
static int chanuser_mode_set(struct clientinfo *,struct channel *,struct parsed_cmd *);
static int chan_mode_set(struct clientinfo *,struct channel *,struct parsed_cmd *);
static int send_chancurr_mode(struct clientinfo *,struct channel *);
static int set_chan_mode(struct clientinfo *,struct channel *,struct parsed_cmd *);

#endif
